Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
224.0.0.0
Broadcast address
239.255.255.255
First usable
224.0.0.1
Last usable
239.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E0000000 · Integer 3758096384 to 4026531839
Reverse DNS zones
224.in-addr.arpa
225.in-addr.arpa
226.in-addr.arpa
227.in-addr.arpa
228.in-addr.arpa
229.in-addr.arpa
230.in-addr.arpa
231.in-addr.arpa
232.in-addr.arpa
233.in-addr.arpa
234.in-addr.arpa
235.in-addr.arpa
236.in-addr.arpa
237.in-addr.arpa
238.in-addr.arpa
239.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.00000000.00000000.00000000224.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network11100000.00000000.00000000.00000000224.0.0.0
Broadcast11101111.11111111.11111111.11111111239.255.255.255
Split into smaller subnets/14

224.0.0.0/4 makes 1,024 subnets of /14; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.0.0.0/14224.0.0.1 to 224.3.255.254224.3.255.255262,142
2224.4.0.0/14224.4.0.1 to 224.7.255.254224.7.255.255262,142
3224.8.0.0/14224.8.0.1 to 224.11.255.254224.11.255.255262,142
4224.12.0.0/14224.12.0.1 to 224.15.255.254224.15.255.255262,142
5224.16.0.0/14224.16.0.1 to 224.19.255.254224.19.255.255262,142
6224.20.0.0/14224.20.0.1 to 224.23.255.254224.23.255.255262,142
7224.24.0.0/14224.24.0.1 to 224.27.255.254224.27.255.255262,142
8224.28.0.0/14224.28.0.1 to 224.31.255.254224.31.255.255262,142
9224.32.0.0/14224.32.0.1 to 224.35.255.254224.35.255.255262,142
10224.36.0.0/14224.36.0.1 to 224.39.255.254224.39.255.255262,142
11224.40.0.0/14224.40.0.1 to 224.43.255.254224.43.255.255262,142
12224.44.0.0/14224.44.0.1 to 224.47.255.254224.47.255.255262,142
13224.48.0.0/14224.48.0.1 to 224.51.255.254224.51.255.255262,142
14224.52.0.0/14224.52.0.1 to 224.55.255.254224.55.255.255262,142
15224.56.0.0/14224.56.0.1 to 224.59.255.254224.59.255.255262,142
16224.60.0.0/14224.60.0.1 to 224.63.255.254224.63.255.255262,142
17224.64.0.0/14224.64.0.1 to 224.67.255.254224.67.255.255262,142
18224.68.0.0/14224.68.0.1 to 224.71.255.254224.71.255.255262,142
19224.72.0.0/14224.72.0.1 to 224.75.255.254224.75.255.255262,142
20224.76.0.0/14224.76.0.1 to 224.79.255.254224.79.255.255262,142
21224.80.0.0/14224.80.0.1 to 224.83.255.254224.83.255.255262,142
22224.84.0.0/14224.84.0.1 to 224.87.255.254224.87.255.255262,142
23224.88.0.0/14224.88.0.1 to 224.91.255.254224.91.255.255262,142
24224.92.0.0/14224.92.0.1 to 224.95.255.254224.95.255.255262,142
25224.96.0.0/14224.96.0.1 to 224.99.255.254224.99.255.255262,142
26224.100.0.0/14224.100.0.1 to 224.103.255.254224.103.255.255262,142
27224.104.0.0/14224.104.0.1 to 224.107.255.254224.107.255.255262,142
28224.108.0.0/14224.108.0.1 to 224.111.255.254224.111.255.255262,142
29224.112.0.0/14224.112.0.1 to 224.115.255.254224.115.255.255262,142
30224.116.0.0/14224.116.0.1 to 224.119.255.254224.119.255.255262,142
31224.120.0.0/14224.120.0.1 to 224.123.255.254224.123.255.255262,142
32224.124.0.0/14224.124.0.1 to 224.127.255.254224.127.255.255262,142
33224.128.0.0/14224.128.0.1 to 224.131.255.254224.131.255.255262,142
34224.132.0.0/14224.132.0.1 to 224.135.255.254224.135.255.255262,142
35224.136.0.0/14224.136.0.1 to 224.139.255.254224.139.255.255262,142
36224.140.0.0/14224.140.0.1 to 224.143.255.254224.143.255.255262,142
37224.144.0.0/14224.144.0.1 to 224.147.255.254224.147.255.255262,142
38224.148.0.0/14224.148.0.1 to 224.151.255.254224.151.255.255262,142
39224.152.0.0/14224.152.0.1 to 224.155.255.254224.155.255.255262,142
40224.156.0.0/14224.156.0.1 to 224.159.255.254224.159.255.255262,142
41224.160.0.0/14224.160.0.1 to 224.163.255.254224.163.255.255262,142
42224.164.0.0/14224.164.0.1 to 224.167.255.254224.167.255.255262,142
43224.168.0.0/14224.168.0.1 to 224.171.255.254224.171.255.255262,142
44224.172.0.0/14224.172.0.1 to 224.175.255.254224.175.255.255262,142
45224.176.0.0/14224.176.0.1 to 224.179.255.254224.179.255.255262,142
46224.180.0.0/14224.180.0.1 to 224.183.255.254224.183.255.255262,142
47224.184.0.0/14224.184.0.1 to 224.187.255.254224.187.255.255262,142
48224.188.0.0/14224.188.0.1 to 224.191.255.254224.191.255.255262,142
49224.192.0.0/14224.192.0.1 to 224.195.255.254224.195.255.255262,142
50224.196.0.0/14224.196.0.1 to 224.199.255.254224.199.255.255262,142
51224.200.0.0/14224.200.0.1 to 224.203.255.254224.203.255.255262,142
52224.204.0.0/14224.204.0.1 to 224.207.255.254224.207.255.255262,142
53224.208.0.0/14224.208.0.1 to 224.211.255.254224.211.255.255262,142
54224.212.0.0/14224.212.0.1 to 224.215.255.254224.215.255.255262,142
55224.216.0.0/14224.216.0.1 to 224.219.255.254224.219.255.255262,142
56224.220.0.0/14224.220.0.1 to 224.223.255.254224.223.255.255262,142
57224.224.0.0/14224.224.0.1 to 224.227.255.254224.227.255.255262,142
58224.228.0.0/14224.228.0.1 to 224.231.255.254224.231.255.255262,142
59224.232.0.0/14224.232.0.1 to 224.235.255.254224.235.255.255262,142
60224.236.0.0/14224.236.0.1 to 224.239.255.254224.239.255.255262,142
61224.240.0.0/14224.240.0.1 to 224.243.255.254224.243.255.255262,142
62224.244.0.0/14224.244.0.1 to 224.247.255.254224.247.255.255262,142
63224.248.0.0/14224.248.0.1 to 224.251.255.254224.251.255.255262,142
64224.252.0.0/14224.252.0.1 to 224.255.255.254224.255.255.255262,142
65225.0.0.0/14225.0.0.1 to 225.3.255.254225.3.255.255262,142
66225.4.0.0/14225.4.0.1 to 225.7.255.254225.7.255.255262,142
67225.8.0.0/14225.8.0.1 to 225.11.255.254225.11.255.255262,142
68225.12.0.0/14225.12.0.1 to 225.15.255.254225.15.255.255262,142
69225.16.0.0/14225.16.0.1 to 225.19.255.254225.19.255.255262,142
70225.20.0.0/14225.20.0.1 to 225.23.255.254225.23.255.255262,142
71225.24.0.0/14225.24.0.1 to 225.27.255.254225.27.255.255262,142
72225.28.0.0/14225.28.0.1 to 225.31.255.254225.31.255.255262,142
73225.32.0.0/14225.32.0.1 to 225.35.255.254225.35.255.255262,142
74225.36.0.0/14225.36.0.1 to 225.39.255.254225.39.255.255262,142
75225.40.0.0/14225.40.0.1 to 225.43.255.254225.43.255.255262,142
76225.44.0.0/14225.44.0.1 to 225.47.255.254225.47.255.255262,142
77225.48.0.0/14225.48.0.1 to 225.51.255.254225.51.255.255262,142
78225.52.0.0/14225.52.0.1 to 225.55.255.254225.55.255.255262,142
79225.56.0.0/14225.56.0.1 to 225.59.255.254225.59.255.255262,142
80225.60.0.0/14225.60.0.1 to 225.63.255.254225.63.255.255262,142
81225.64.0.0/14225.64.0.1 to 225.67.255.254225.67.255.255262,142
82225.68.0.0/14225.68.0.1 to 225.71.255.254225.71.255.255262,142
83225.72.0.0/14225.72.0.1 to 225.75.255.254225.75.255.255262,142
84225.76.0.0/14225.76.0.1 to 225.79.255.254225.79.255.255262,142
85225.80.0.0/14225.80.0.1 to 225.83.255.254225.83.255.255262,142
86225.84.0.0/14225.84.0.1 to 225.87.255.254225.87.255.255262,142
87225.88.0.0/14225.88.0.1 to 225.91.255.254225.91.255.255262,142
88225.92.0.0/14225.92.0.1 to 225.95.255.254225.95.255.255262,142
89225.96.0.0/14225.96.0.1 to 225.99.255.254225.99.255.255262,142
90225.100.0.0/14225.100.0.1 to 225.103.255.254225.103.255.255262,142
91225.104.0.0/14225.104.0.1 to 225.107.255.254225.107.255.255262,142
92225.108.0.0/14225.108.0.1 to 225.111.255.254225.111.255.255262,142
93225.112.0.0/14225.112.0.1 to 225.115.255.254225.115.255.255262,142
94225.116.0.0/14225.116.0.1 to 225.119.255.254225.119.255.255262,142
95225.120.0.0/14225.120.0.1 to 225.123.255.254225.123.255.255262,142
96225.124.0.0/14225.124.0.1 to 225.127.255.254225.127.255.255262,142
97225.128.0.0/14225.128.0.1 to 225.131.255.254225.131.255.255262,142
98225.132.0.0/14225.132.0.1 to 225.135.255.254225.135.255.255262,142
99225.136.0.0/14225.136.0.1 to 225.139.255.254225.139.255.255262,142
100225.140.0.0/14225.140.0.1 to 225.143.255.254225.143.255.255262,142
101225.144.0.0/14225.144.0.1 to 225.147.255.254225.147.255.255262,142
102225.148.0.0/14225.148.0.1 to 225.151.255.254225.151.255.255262,142
103225.152.0.0/14225.152.0.1 to 225.155.255.254225.155.255.255262,142
104225.156.0.0/14225.156.0.1 to 225.159.255.254225.159.255.255262,142
105225.160.0.0/14225.160.0.1 to 225.163.255.254225.163.255.255262,142
106225.164.0.0/14225.164.0.1 to 225.167.255.254225.167.255.255262,142
107225.168.0.0/14225.168.0.1 to 225.171.255.254225.171.255.255262,142
108225.172.0.0/14225.172.0.1 to 225.175.255.254225.175.255.255262,142
109225.176.0.0/14225.176.0.1 to 225.179.255.254225.179.255.255262,142
110225.180.0.0/14225.180.0.1 to 225.183.255.254225.183.255.255262,142
111225.184.0.0/14225.184.0.1 to 225.187.255.254225.187.255.255262,142
112225.188.0.0/14225.188.0.1 to 225.191.255.254225.191.255.255262,142
113225.192.0.0/14225.192.0.1 to 225.195.255.254225.195.255.255262,142
114225.196.0.0/14225.196.0.1 to 225.199.255.254225.199.255.255262,142
115225.200.0.0/14225.200.0.1 to 225.203.255.254225.203.255.255262,142
116225.204.0.0/14225.204.0.1 to 225.207.255.254225.207.255.255262,142
117225.208.0.0/14225.208.0.1 to 225.211.255.254225.211.255.255262,142
118225.212.0.0/14225.212.0.1 to 225.215.255.254225.215.255.255262,142
119225.216.0.0/14225.216.0.1 to 225.219.255.254225.219.255.255262,142
120225.220.0.0/14225.220.0.1 to 225.223.255.254225.223.255.255262,142
121225.224.0.0/14225.224.0.1 to 225.227.255.254225.227.255.255262,142
122225.228.0.0/14225.228.0.1 to 225.231.255.254225.231.255.255262,142
123225.232.0.0/14225.232.0.1 to 225.235.255.254225.235.255.255262,142
124225.236.0.0/14225.236.0.1 to 225.239.255.254225.239.255.255262,142
125225.240.0.0/14225.240.0.1 to 225.243.255.254225.243.255.255262,142
126225.244.0.0/14225.244.0.1 to 225.247.255.254225.247.255.255262,142
127225.248.0.0/14225.248.0.1 to 225.251.255.254225.251.255.255262,142
128225.252.0.0/14225.252.0.1 to 225.255.255.254225.255.255.255262,142
129226.0.0.0/14226.0.0.1 to 226.3.255.254226.3.255.255262,142
130226.4.0.0/14226.4.0.1 to 226.7.255.254226.7.255.255262,142
131226.8.0.0/14226.8.0.1 to 226.11.255.254226.11.255.255262,142
132226.12.0.0/14226.12.0.1 to 226.15.255.254226.15.255.255262,142
133226.16.0.0/14226.16.0.1 to 226.19.255.254226.19.255.255262,142
134226.20.0.0/14226.20.0.1 to 226.23.255.254226.23.255.255262,142
135226.24.0.0/14226.24.0.1 to 226.27.255.254226.27.255.255262,142
136226.28.0.0/14226.28.0.1 to 226.31.255.254226.31.255.255262,142
137226.32.0.0/14226.32.0.1 to 226.35.255.254226.35.255.255262,142
138226.36.0.0/14226.36.0.1 to 226.39.255.254226.39.255.255262,142
139226.40.0.0/14226.40.0.1 to 226.43.255.254226.43.255.255262,142
140226.44.0.0/14226.44.0.1 to 226.47.255.254226.47.255.255262,142
141226.48.0.0/14226.48.0.1 to 226.51.255.254226.51.255.255262,142
142226.52.0.0/14226.52.0.1 to 226.55.255.254226.55.255.255262,142
143226.56.0.0/14226.56.0.1 to 226.59.255.254226.59.255.255262,142
144226.60.0.0/14226.60.0.1 to 226.63.255.254226.63.255.255262,142
145226.64.0.0/14226.64.0.1 to 226.67.255.254226.67.255.255262,142
146226.68.0.0/14226.68.0.1 to 226.71.255.254226.71.255.255262,142
147226.72.0.0/14226.72.0.1 to 226.75.255.254226.75.255.255262,142
148226.76.0.0/14226.76.0.1 to 226.79.255.254226.79.255.255262,142
149226.80.0.0/14226.80.0.1 to 226.83.255.254226.83.255.255262,142
150226.84.0.0/14226.84.0.1 to 226.87.255.254226.87.255.255262,142
151226.88.0.0/14226.88.0.1 to 226.91.255.254226.91.255.255262,142
152226.92.0.0/14226.92.0.1 to 226.95.255.254226.95.255.255262,142
153226.96.0.0/14226.96.0.1 to 226.99.255.254226.99.255.255262,142
154226.100.0.0/14226.100.0.1 to 226.103.255.254226.103.255.255262,142
155226.104.0.0/14226.104.0.1 to 226.107.255.254226.107.255.255262,142
156226.108.0.0/14226.108.0.1 to 226.111.255.254226.111.255.255262,142
157226.112.0.0/14226.112.0.1 to 226.115.255.254226.115.255.255262,142
158226.116.0.0/14226.116.0.1 to 226.119.255.254226.119.255.255262,142
159226.120.0.0/14226.120.0.1 to 226.123.255.254226.123.255.255262,142
160226.124.0.0/14226.124.0.1 to 226.127.255.254226.127.255.255262,142
161226.128.0.0/14226.128.0.1 to 226.131.255.254226.131.255.255262,142
162226.132.0.0/14226.132.0.1 to 226.135.255.254226.135.255.255262,142
163226.136.0.0/14226.136.0.1 to 226.139.255.254226.139.255.255262,142
164226.140.0.0/14226.140.0.1 to 226.143.255.254226.143.255.255262,142
165226.144.0.0/14226.144.0.1 to 226.147.255.254226.147.255.255262,142
166226.148.0.0/14226.148.0.1 to 226.151.255.254226.151.255.255262,142
167226.152.0.0/14226.152.0.1 to 226.155.255.254226.155.255.255262,142
168226.156.0.0/14226.156.0.1 to 226.159.255.254226.159.255.255262,142
169226.160.0.0/14226.160.0.1 to 226.163.255.254226.163.255.255262,142
170226.164.0.0/14226.164.0.1 to 226.167.255.254226.167.255.255262,142
171226.168.0.0/14226.168.0.1 to 226.171.255.254226.171.255.255262,142
172226.172.0.0/14226.172.0.1 to 226.175.255.254226.175.255.255262,142
173226.176.0.0/14226.176.0.1 to 226.179.255.254226.179.255.255262,142
174226.180.0.0/14226.180.0.1 to 226.183.255.254226.183.255.255262,142
175226.184.0.0/14226.184.0.1 to 226.187.255.254226.187.255.255262,142
176226.188.0.0/14226.188.0.1 to 226.191.255.254226.191.255.255262,142
177226.192.0.0/14226.192.0.1 to 226.195.255.254226.195.255.255262,142
178226.196.0.0/14226.196.0.1 to 226.199.255.254226.199.255.255262,142
179226.200.0.0/14226.200.0.1 to 226.203.255.254226.203.255.255262,142
180226.204.0.0/14226.204.0.1 to 226.207.255.254226.207.255.255262,142
181226.208.0.0/14226.208.0.1 to 226.211.255.254226.211.255.255262,142
182226.212.0.0/14226.212.0.1 to 226.215.255.254226.215.255.255262,142
183226.216.0.0/14226.216.0.1 to 226.219.255.254226.219.255.255262,142
184226.220.0.0/14226.220.0.1 to 226.223.255.254226.223.255.255262,142
185226.224.0.0/14226.224.0.1 to 226.227.255.254226.227.255.255262,142
186226.228.0.0/14226.228.0.1 to 226.231.255.254226.231.255.255262,142
187226.232.0.0/14226.232.0.1 to 226.235.255.254226.235.255.255262,142
188226.236.0.0/14226.236.0.1 to 226.239.255.254226.239.255.255262,142
189226.240.0.0/14226.240.0.1 to 226.243.255.254226.243.255.255262,142
190226.244.0.0/14226.244.0.1 to 226.247.255.254226.247.255.255262,142
191226.248.0.0/14226.248.0.1 to 226.251.255.254226.251.255.255262,142
192226.252.0.0/14226.252.0.1 to 226.255.255.254226.255.255.255262,142
193227.0.0.0/14227.0.0.1 to 227.3.255.254227.3.255.255262,142
194227.4.0.0/14227.4.0.1 to 227.7.255.254227.7.255.255262,142
195227.8.0.0/14227.8.0.1 to 227.11.255.254227.11.255.255262,142
196227.12.0.0/14227.12.0.1 to 227.15.255.254227.15.255.255262,142
197227.16.0.0/14227.16.0.1 to 227.19.255.254227.19.255.255262,142
198227.20.0.0/14227.20.0.1 to 227.23.255.254227.23.255.255262,142
199227.24.0.0/14227.24.0.1 to 227.27.255.254227.27.255.255262,142
200227.28.0.0/14227.28.0.1 to 227.31.255.254227.31.255.255262,142
201227.32.0.0/14227.32.0.1 to 227.35.255.254227.35.255.255262,142
202227.36.0.0/14227.36.0.1 to 227.39.255.254227.39.255.255262,142
203227.40.0.0/14227.40.0.1 to 227.43.255.254227.43.255.255262,142
204227.44.0.0/14227.44.0.1 to 227.47.255.254227.47.255.255262,142
205227.48.0.0/14227.48.0.1 to 227.51.255.254227.51.255.255262,142
206227.52.0.0/14227.52.0.1 to 227.55.255.254227.55.255.255262,142
207227.56.0.0/14227.56.0.1 to 227.59.255.254227.59.255.255262,142
208227.60.0.0/14227.60.0.1 to 227.63.255.254227.63.255.255262,142
209227.64.0.0/14227.64.0.1 to 227.67.255.254227.67.255.255262,142
210227.68.0.0/14227.68.0.1 to 227.71.255.254227.71.255.255262,142
211227.72.0.0/14227.72.0.1 to 227.75.255.254227.75.255.255262,142
212227.76.0.0/14227.76.0.1 to 227.79.255.254227.79.255.255262,142
213227.80.0.0/14227.80.0.1 to 227.83.255.254227.83.255.255262,142
214227.84.0.0/14227.84.0.1 to 227.87.255.254227.87.255.255262,142
215227.88.0.0/14227.88.0.1 to 227.91.255.254227.91.255.255262,142
216227.92.0.0/14227.92.0.1 to 227.95.255.254227.95.255.255262,142
217227.96.0.0/14227.96.0.1 to 227.99.255.254227.99.255.255262,142
218227.100.0.0/14227.100.0.1 to 227.103.255.254227.103.255.255262,142
219227.104.0.0/14227.104.0.1 to 227.107.255.254227.107.255.255262,142
220227.108.0.0/14227.108.0.1 to 227.111.255.254227.111.255.255262,142
221227.112.0.0/14227.112.0.1 to 227.115.255.254227.115.255.255262,142
222227.116.0.0/14227.116.0.1 to 227.119.255.254227.119.255.255262,142
223227.120.0.0/14227.120.0.1 to 227.123.255.254227.123.255.255262,142
224227.124.0.0/14227.124.0.1 to 227.127.255.254227.127.255.255262,142
225227.128.0.0/14227.128.0.1 to 227.131.255.254227.131.255.255262,142
226227.132.0.0/14227.132.0.1 to 227.135.255.254227.135.255.255262,142
227227.136.0.0/14227.136.0.1 to 227.139.255.254227.139.255.255262,142
228227.140.0.0/14227.140.0.1 to 227.143.255.254227.143.255.255262,142
229227.144.0.0/14227.144.0.1 to 227.147.255.254227.147.255.255262,142
230227.148.0.0/14227.148.0.1 to 227.151.255.254227.151.255.255262,142
231227.152.0.0/14227.152.0.1 to 227.155.255.254227.155.255.255262,142
232227.156.0.0/14227.156.0.1 to 227.159.255.254227.159.255.255262,142
233227.160.0.0/14227.160.0.1 to 227.163.255.254227.163.255.255262,142
234227.164.0.0/14227.164.0.1 to 227.167.255.254227.167.255.255262,142
235227.168.0.0/14227.168.0.1 to 227.171.255.254227.171.255.255262,142
236227.172.0.0/14227.172.0.1 to 227.175.255.254227.175.255.255262,142
237227.176.0.0/14227.176.0.1 to 227.179.255.254227.179.255.255262,142
238227.180.0.0/14227.180.0.1 to 227.183.255.254227.183.255.255262,142
239227.184.0.0/14227.184.0.1 to 227.187.255.254227.187.255.255262,142
240227.188.0.0/14227.188.0.1 to 227.191.255.254227.191.255.255262,142
241227.192.0.0/14227.192.0.1 to 227.195.255.254227.195.255.255262,142
242227.196.0.0/14227.196.0.1 to 227.199.255.254227.199.255.255262,142
243227.200.0.0/14227.200.0.1 to 227.203.255.254227.203.255.255262,142
244227.204.0.0/14227.204.0.1 to 227.207.255.254227.207.255.255262,142
245227.208.0.0/14227.208.0.1 to 227.211.255.254227.211.255.255262,142
246227.212.0.0/14227.212.0.1 to 227.215.255.254227.215.255.255262,142
247227.216.0.0/14227.216.0.1 to 227.219.255.254227.219.255.255262,142
248227.220.0.0/14227.220.0.1 to 227.223.255.254227.223.255.255262,142
249227.224.0.0/14227.224.0.1 to 227.227.255.254227.227.255.255262,142
250227.228.0.0/14227.228.0.1 to 227.231.255.254227.231.255.255262,142
251227.232.0.0/14227.232.0.1 to 227.235.255.254227.235.255.255262,142
252227.236.0.0/14227.236.0.1 to 227.239.255.254227.239.255.255262,142
253227.240.0.0/14227.240.0.1 to 227.243.255.254227.243.255.255262,142
254227.244.0.0/14227.244.0.1 to 227.247.255.254227.247.255.255262,142
255227.248.0.0/14227.248.0.1 to 227.251.255.254227.251.255.255262,142
256227.252.0.0/14227.252.0.1 to 227.255.255.254227.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses